Package skyview.geometry.projecter

# Class Mol

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Projecter
skyview.geometry.projecter.Mol

All Implemented Interfaces:
  `Serializable`, `Component`

public class Mol extends Projecter

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Mol.MolDeproj`

## Constructor Summary

Constructors
Constructor
Description
`Mol()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`forwardTransform(double[] sphere, double[] plane)`
`String`
`getDescription()`
A description of the component
`String`
`getName()`
The name of the Component
`Deprojecter`
`inverse()`
Get the associated deprojecter
`boolean`
`isInverse(Transformer trans)`
Is this the inverse of another transformation?
`static void`
`main(String[] args)`
`static void`
`reverseTransform(double[] plane, double[] sphere)`
`boolean`
`straddleable()`
Is it possible for a pixel to straddle the valid region.
`final void`
`transform(double[] sphere, double[] plane)`
Convert a single point where the output vector is supplied.
`boolean`
`validPosition(double[] plane)`
Is this a valid position in the projection plane for this image.

### Methods inherited from class skyview.geometry.Projecter

`allValid, getInputDimension, getOutputDimension, getXTiling, getYTiling, shadowPoint, straddle, straddleComponents, tissot`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mol

public Mol()

## Method Details

### getName

public String getName()
The name of the Component

### getDescription

public String getDescription()
A description of the component

### inverse

public Deprojecter inverse()
Get the associated deprojecter

Specified by:
  `inverse` in class `Projecter`

### isInverse

public boolean isInverse(Transformer trans)
Is this the inverse of another transformation?

Specified by:
  `isInverse` in class `Transformer`

### transform

public final void transform(double[] sphere, double[] plane)
Description copied from class: `Transformer`
Convert a single point where the output vector is supplied.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `sphere` - The input vector.
  `plane` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.

### forwardTransform

public static void forwardTransform(double[] sphere, double[] plane)

### reverseTransform

public static void reverseTransform(double[] plane, double[] sphere)

### validPosition

public boolean validPosition(double[] plane)
Description copied from class: `Projecter`
Is this a valid position in the projection plane for this image. This default is appropriate for all projections where the projection plane is infinite.

Overrides:
  `validPosition` in class `Projecter`

### straddleable

public boolean straddleable()
Description copied from class: `Projecter`
Is it possible for a pixel to straddle the valid region.

Overrides:
  `straddleable` in class `Projecter`

### main

public static void main(String[] args)